org.apache.ignite.internal.visor.service

## Class VisorServiceDescriptor

- java.lang.Object
- - org.apache.ignite.internal.visor.service.VisorServiceDescriptor

All Implemented Interfaces:
  Serializable

    public class VisorServiceDescriptor
    extends Object
    implements Serializable

Data transfer object for `ServiceDescriptor` object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorServiceDescriptor()` Default constructor.
`VisorServiceDescriptor(ServiceDescriptor srvc)` Create task result with given parameters

### Method Summary

Methods
`String` `getCacheName()`
`int` `getMaxPerNodeCnt()`
`String` `getName()`
`UUID` `getOriginNodeId()`
`String` `getServiceClass()`
`Map<UUID,Integer>` `getTopologySnapshot()`
`int` `getTotalCnt()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorServiceDescriptor

    public VisorServiceDescriptor()

Default constructor.

#### VisorServiceDescriptor

    public VisorServiceDescriptor(ServiceDescriptor srvc)

Create task result with given parameters

### Method Detail

#### getName

    public String getName()

Returns:
  Service name.

#### getServiceClass

    public String getServiceClass()

Returns:
  Service class.

#### getTotalCnt

    public int getTotalCnt()

Returns:
  Maximum allowed total number of deployed services in the grid, 0 for unlimited.

#### getMaxPerNodeCnt

    public int getMaxPerNodeCnt()

Returns:
  Maximum allowed number of deployed services on each node.

#### getCacheName

    public String getCacheName()

Returns:
  Cache name used for key-to-node affinity calculation.

#### getOriginNodeId

    public UUID getOriginNodeId()

Returns:
  ID of grid node that initiated the service deployment.

#### getTopologySnapshot

    public Map<UUID,Integer> getTopologySnapshot()

Returns:
  Service deployment topology snapshot. Number of service instances deployed on a node mapped to node ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017